# Uses of Class
org.eclipse.jdt.core.util.ClassFormatException

Packages that use ClassFormatException
Package
Description
org.eclipse.jdt.core.util
Provides a set of tools and utilities for manipulating .class files and Java model elements.

## Uses of ClassFormatException in org.eclipse.jdt.core.util

Methods in org.eclipse.jdt.core.util that throw ClassFormatException
Modifier and Type
Method
Description
`abstract String`
ClassFileBytesDisassembler.`disassemble(byte[] classFileBytes, String lineSeparator)`
Answers back the disassembled string of the classfile bytes using the default mode.
`abstract String`
ClassFileBytesDisassembler.`disassemble(byte[] classFileBytes, String lineSeparator, int mode)`
Answers back the disassembled string of the classfile bytes according to the mode.
`void`
ICodeAttribute.`traverse(IBytecodeVisitor visitor)`
Define a Java opcodes walker.